<?
session_start();
include_once('includes/top.php');
include_once("test.php");
include_once('opendb.php');
$brcode=$_SESSION['brcode'];
$user=$_SESSION['user'];
//$br=$_SESSION['branch'];
if(strlen($user)<=0)
{
  print "<script> alert('Invalid User'); document.location='inde.php' </script>";
  return;
}
$level=$_REQUEST['level'];
if(($user=='midhun'||$user=='shahul')&&($brcode=='3776'||$brcode=='3810'))

{
   $crstring=1; 
}
$crno=$_REQUEST['crno'];
$jvno=$_REQUEST['jvno'];
$query=mysqli_query($db,"select * from journal2 where jvno='$jvno' and brcode='$brcode' and type='Cr' and cramt>0");
$cusrow=mysqli_fetch_array($query);
$custname=$cusrow['partic'];
?>

<script>
    function edit(a)
{
   document.location='editdbnote22.php?dbno='+a;
}


</script>

<style>
 td{font-family:verdana;font-size:14;color:black;}
 th{font-family:verdana;font-size:14;color:white;background-color:#5b5858}
 body{background-color:silver;}
 select
  {border-style:ridge;
   border-color:black;
   height:25px;
   border-size=1;
   font-family:verdana;
   color:black;
  }
 input
  {border-style:ridge;
   border-color:#22437f;
   background-color:white;
   height:25px;
   font-weight:bold;
   border-size=1;
   font-family:sans-serif;
   color:BLACK;
  }
</style>
<head>
<title>AMPL EICHER</title>
 <script src="rightclick_deactive.js"></script>
    <script type="text/javascript" src="scripts/jquery-latest.js"></script>
	<link type="text/css" href="includes/style1.css" rel="stylesheet" />
  <link type="text/css" href="css/form.css" rel="stylesheet" />
    <script type="text/javascript">
        $(function() {
          if ($.browser.msie && $.browser.version.substr(0,1)<7)
          {
			$('li').has('ul').mouseover(function(){
				$(this).children('ul').show();
				}).mouseout(function(){
				$(this).children('ul').hide();
				})
          }
        });        
    </script>


<script>
 var dr_cr=[];
function showNature()
{
 var nature=dr_cr[document.f1.grp.selectedIndex];
 if(nature=='Assets'||nature=='Expenses')
    document.f1.drcr.value='Dr';
 else if(nature=='Liabilities'||nature=='Income')
    document.f1.drcr.value='Cr';
 else
   document.f1.drcr.value='';
}

function chkey(abc)
{
 yy=abc.value
 if(yy.indexOf('  ')>-1) 
  {
    alert('Multiple space is not allowed');
    abc.value='';
  }
 if(yy.indexOf("'")>-1) 
  {
    alert("\' is not allowed");
    abc.value='';
  }
 if(yy.indexOf('"')>-1) 
  {
    alert("\" is not allowed");
    abc.value='';
  }
 if(yy.indexOf('&')>-1) 
  {
    alert("\& is not allowed");
    abc.value='';
  }
}

function valid()
{ 
 subOK="false";
 x=confirm("Do you want to save?");
 if(x)
  subOK="true";
   if(subOK=="true")
     return true;
   else
     return false;
} 

</script>

<body background="back_ground.jpg">
<?
if($level>=0)
{?>
<body>
<center>
<form name=f1 action="" method=post onSubmit="return valid()">
<table width=90%>
<tr><td colspan=2 bgcolor=#5b5858 align=center><font color=white size=3>Credit Note <input type=hidden name=dbno value=<? print $jvno ?>></font></tr></td>
<tr><td>Debit</td><td><select  name=led >
    <option value= 'DISCOUNT ALLOWED'>DISCOUNT ALLOWED</option>
    <option value='Coupon Scheme'>coupon scheme</option>
    <option value='GOODWILL CLAIM A/C'>GOODWILL CLAIM A/C</option><option value='Outward Supply - Labour'>Outward Supply - Labour</option></select>
    
Date:dd <input type=text name='d' size='2' value='<?print date("d",time());?>'>
mm <input type=text name='m' size='2' value='<?print date("m",time());?>'>
yy <input type=text name='y' size='4' value='<?print date("Y",time());?>'>
Credit Note No.<input type=text name='crnotno' size='4' value='0'>
</td>
</tr>
<? if($brcode=='3776'||$brcode=='3810'){?>
<tr><td>Head</td><td><input type=text name='custname' size='50' value='<? echo $custname ?>' >
<?}else{?>
<tr><td>Head</td><td><input type=text name='custname' size='50' value='<? echo $custname ?>' readonly>
<?}?>
</td></tr>
<tr><td>Amount </td><td><input type=text onChange=calc() name=op> 

<!--
<select name=drcr>
<option>Dr</option>
<option>Cr</option>
<select>
-->
Tax %<select name='taxp' onChange=calc()><option>0.00</option><option>18.00</option><option>28.00</option></select>
 <input type=text name='tax' size=10 value='0'>Amount Before Tax <input type=text readonly name='amt2'></td>

</tr>
<tr><td>Desc.</td><td><input type=textarea name=desc  size=60 ></td></tr>


<tr><td colspan=2 bgcolor=#5b5858 align=center>
<input type=button value="Print" onclick='printcrnt()'> <input type=button value="Cancel" onClick=document.location='blank.html'> 
</tr></td>
</table>
</form>

<?
}
?>

<script>
function calc()
{
 net=parseFloat(document.f1.op.value);
 amt=(net* 100)/(100+parseFloat(document.f1.taxp.value))
 document.f1.amt2.value=parseFloat(amt.toFixed(2));

 tax=parseFloat(document.f1.amt2.value)*parseFloat(document.f1.taxp.value)/100;
 document.f1.tax.value=(net-amt).toFixed(2);
}
</script>


<script>
function printcrnt()
{
    var jvno=document.f1.dbno.value;
    var crno=document.f1.crnotno.value;
    var lednm=document.f1.led.value;
    var dd=document.f1.d.value;
    var mm=document.f1.m.value;
    var yy=document.f1.y.value;
    var totamt=document.f1.op.value;
    var beframt=document.f1.amt2.value;
    var taxp=document.f1.taxp.value;
    var descript=document.f1.desc.value;
    var cust=document.f1.custname.value;
    window.open("prncrnote_14012020.php?jvno="+jvno+"&&crno="+crno+"&&lednm="+lednm+"&&dd="+dd+"&&mm="+mm+"&&yy="+yy+"&&totamt="+totamt+"&&beframt="+beframt+"&&taxp="+taxp+"&&descript="+descript+"&&custname="+cust);
    
   document.location='crnote1.php';
}

</script>

</table>
